Subject: bug#57556: 28.1; Eshell not finding executables in PATH when tramp-integration loaded

From: Michael Albinus <[email-masked]>
Date: Sun, 16 Oct 2022 19:00:22 +0200

Jim Porter <[email-masked]> writes:

Hi Jim,

> There's one significant problem I noticed with patch 0002 that we
> should probably fix first: 'setq-connection-local' clears all
> connection-local variables for the profile that were set
> elsewhere. That is, this:
>
>     (with-connection-local-variables
>      (setq-connection-local foo "foo")
>      (setq-connection-local bar "bar"))
>
> only sets 'bar' on the connection-local profile; the second
> 'setq-connection-local' clears 'foo'. Attached is a fix for this (I'll
> fold it into patch 0002 before merging). I'm not sure if the new
> 'connection-local-update-profile-variables' I added is 100% perfect,
> but I think it should work for more real-world situations.

I see. Yes, connection-local-update-profile-variables should do
better. But I don't understand why its implementation doesn't use the
existing connection-local-get-profile-variables.

Best regards, Michael.